#!/usr/bin/env python
#-*- coding:utf-8 -*-

# authors:guanfl
# 2021/6/7

# import requests
# import json

from src.tank.core.interface.send_http import HttpBase


class RunMain:
    def __init__(self):
        self.url = None
        self.method = "get",
        self.params = None
        self.data = None
        self.json = None,
        self.json_code = False
        self.text = False
        self.headers = None
        self.proxies = None
        self.cookies = None
        self.verify = True
        self.timeout = None
        self.stream = False
        self.files = None
        self.auth = None

    def send_get(self, url, data):
        self.run = HttpBase(url=url,method="get",params=data)
        return self.run.json

    def send_post(self, url, data):
        self.run = HttpBase(url=url, method="post",data=data)
        return self.run.json()

    def run_main(self, url, method="get", data=None):
        res = None
        if self.run.method == 'get':
            res = self.send_get(url, data)
        else:
            res = self.send_post(url, data)
        return res


if __name__ == '__main__':
    url = 'http://www.imooc.com/m/web/shizhanapi/loadmorepingjia.html?cart=11'
    data = {
        'cart': '11'
    }
    run = RunMain()
    print(run.send_post(url=url, data=data))
    # print(type())

# print run.run_main(url,'GET',data)
